This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 467154 - Review Request: libvirt-qpid - An interface with libvirt using QMF (qpid modeling framework) which utilizes the Advanced Message Queuing protocol
Review Request: libvirt-qpid - An interface with libvirt using QMF (qpid mod...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lutterkort
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-15 22:33 EDT by Ian Main
Modified: 2013-04-30 19:40 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-05 15:49:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ian Main 2008-10-15 22:33:37 EDT
Spec URL: http://ovirt.org/libvirt-qpid.spec
SRPM URL: http://ovirt.org/libvirt-qpid-0.2.0-1.src.rpm
Description: 

I've packaged up libvirt-qpid and would like to have it reviewed for inclusion into fedora.

libvirt-qpid provides an interface with libvirt using QMF (qpid modeling
framework) which utilizes the AMQP protocol.  The Advanced Message Queuing
Protocol (AMQP) is an open standard application layer protocol providing
reliable transport of messages.

QMF provides a modeling framework layer on top of qpid (which implements
AMQP).  This interface allows you to manage hosts, domains, pools etc. as
a set of objects with properties and methods.
Comment 1 David Lutterkort 2008-10-16 21:35:08 EDT
Can you run rpmlint over it and fix the errors and warnings it produces ? Once that's done, I'll do a more thorough review. Here's a few more obvious nits:

* change the make line in %build to

  make %{?_smp_mflags}

* Don't comment out Url and Buildroot, and make sure Buildroot is set to one of the recommended values in the guidelines

* You use /usr/share in %files .. use %{_datadir} instead

* Why do you use AutoReq: no - is the versioning of the qpid libraries insufficient ? If so, you should raise that with them
Comment 2 Ian Main 2008-10-20 19:12:22 EDT
OK, I've addressed all the things above and no complaints from rpmlint.  I couldn't use the smp_mflags however as it tried to spawn multiple qmf-gen's and would break the build.

I re-uploaded the spec and src rpm.  They are now at:

http://ovirt.org/libvirt-qpid.spec
ovirt.org/libvirt-qpid-0.2.0-2.src.rpm
Comment 3 Ian Main 2008-10-20 19:17:21 EDT
sorry http://ovirt.org/libvirt-qpid-0.2.0-2.src.rpm
Comment 4 David Woodhouse 2008-11-02 05:26:15 EST
Fails to build on all architectures.

If there's a good reason why not, you'll need to file an appropriate bug and make sure it's on the FE-ExcludeArch-$ARCH tracker for each architecture on which you don't build it -- and then you can use ExcludeArch. And if there isn't a good reason, you know what to do :)

It seems to require qpidc which doesn't exist on all architectures -- and which seems to be breaking the rules by not having an appropriate bug filed on the ExcludeArch trackers.
Comment 5 Ian Main 2008-11-03 11:24:16 EST
Yes that is the reason why it's not all architectures (qpidc not supporting all archs).  I guess the right thing to do would be to file a bug against qpidc and then I could do the same for libvirt-qpid.  Can I file that bug or do I talk to the owners of the package?

Thanks!
Comment 6 David Woodhouse 2008-11-03 11:43:53 EST
Bug 268244 -- it did already exist, but it wasn't correctly marked as blocking the FE-ExcludeArch-$ARCH trackers for the excluded architectures.
Comment 7 David Woodhouse 2008-11-03 11:44:42 EST
dammit. bug 468244.
Comment 8 Ian Main 2008-11-05 02:49:25 EST
So where are we at with this then?  It sounds like the next qpid release will fix the architecture issue.  I'm inclined to just wait till then and remove it here.  Do I still need to file a bug against libvirt-qpid?
Comment 9 David Woodhouse 2008-11-05 03:02:34 EST
Is libvirt-qpid also missing on some architectures? If so, it should have an ExcludeArch bug of its own, blocking the FE-ExcludeArch-$ARCH trackers for the affected architectures. And that bug should by blocked by the qpid bug.
Comment 10 David Lutterkort 2009-02-25 19:08:42 EST
based on the Koji scratch build in http://koji.fedoraproject.org/koji/taskinfo?taskID=1177393, a few minor things remain to be fixed:

  OK - Package name
  OK - License info is accurate
  OK - License tag is correct and licenses are approved
  OK - License files are installed as %doc
  OK - Specfile name
  OK - Specfile is legible
  OK - No prebuilt binaries included
  FIX - BuildRoot value (one of the recommended values)
       See https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
  OK - PreReq not used
  FIX - Source md5sum matches upstream
       No upstream release; make Source a URL to the download for the tarball
  OK - No hardcoded pathnames
  OK - Package owns all the files it installs
  OK - 'Requires' create needed unowned directories
  OK - Package builds successfully on i386 and x86_64 (mock)
  OK - BuildRequires sufficient
  FIX - File permissions set properly
     rpmlint complains that
      /usr/share/doc/libvirt-qpid-0.2.12 and /usr/share/libvirt-qpid
     are mode 02755
  OK - Macro usage is consistent
  FIX - rpmlint is silent
     See above warnings about directory perms
  OK - Proper debuginfo packages
Comment 11 David Lutterkort 2009-02-26 17:59:20 EST
APPROVED 

Please follow http://fedoraproject.org/wiki/CVSAdminProcedure and import
the package. Close this bug as RAWHIDE once it's been successfully imported
and built.

SRPM/spec file at http://koji.fedoraproject.org/koji/taskinfo?taskID=1193621

Minor nits:

  * the version for the last changelog entry is incorrect (makes rpmlint complain)
  * rather than using %defattr and %attr, fix the build process of libvirt-qpid to give files the correct permissions
  * since you're also upstream, please put up a page with downloads of official releases so that people can independently verify that the sources are really what they ought to be (would also be a good idea to tag releases in git for the morbidly curious)
Comment 12 Ian Main 2009-03-16 16:01:49 EDT
OK, I have resolved the changelog entry.  I spoke to you on IRC regarding the %attr stuff and I couldn't get it to work properly without them (permissions on %doc directories for example seemed almost random).  I will do an upstream release shortly.
Comment 13 Ian Main 2009-03-16 16:03:21 EDT
I should also mention that the latest spec file can be seen at:

http://git.et.redhat.com/?p=libvirt-qpid.git;a=blob_plain;f=libvirt-qpid.spec;hb=HEAD
Comment 14 Ian Main 2009-03-16 16:33:23 EDT
New Package CVS Request
=======================
Package Name: libvirt-qpid
Short Description: QPid QMF interface to Libvirt
Owners: imain@redhat.com
Branches: F-10 F-11
InitialCC: lutter@redhat.com
Comment 15 Ian Main 2009-03-16 16:42:42 EDT
New Package CVS Request
=======================
Package Name: libvirt-qpid
Short Description: QPid QMF interface to Libvirt
Owners: imain
Branches: F-10 F-11
InitialCC: lutter
Comment 16 Kevin Fenzi 2009-03-17 01:22:27 EDT
Why is this bug restricted to only viewing by some groups? 
(It still goes to the review public mailing list, so that seems pretty pointless.)

Also, Ian: I don't see you in the packager group. Is this your first fedora package? 
If so, you will need a sponsor. 

Clearing cvs until thats figured. Feel free to reset when it's ready.
Comment 17 Ian Main 2009-03-17 12:13:37 EDT
OK, I've reset to public bug (I don't know why it wasn't before), and I am now in the packager group.

Yes it is my first package :).

Thanks!
Comment 18 Kevin Fenzi 2009-03-17 23:28:54 EDT
Thanks for fixing those things up. 

David: can you set the fedora-review flag to +? 

Just a formality, but it should be done. ;)
Comment 19 Jason Tibbitts 2009-06-05 15:49:17 EDT
The package seems to be in the distribution, so I don't see why this ticket hasn't been closed.  Since nobody involved with this bug has done so, I'll set the flag and close it out.

Note You need to log in before you can comment on or make changes to this bug.